Package org.eclipse.emf.cdo.server.db.mapping

## Interface ITypeMapping.Provider

- Enclosing interface:
    ITypeMapping

      public static interface ITypeMapping.Provider

  A provider for type mapping information. This provider is used by the `TypeMappingRegistry` to create an `ITypeMapping` instance suitable for a given feature and DB field. Usually, one factory is responsible for one type mapping.
  Since:
    4.0
  Author:
    Stefan Winkler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ITypeMapping.Provider.Factory` | A factory for typeMappingProviders.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ITypeMapping.Provider` | `INSTANCE` | The one global (singleton) provider instance.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ITypeMapping` | `createTypeMapping​(IMappingStrategy mappingStrategy, EStructuralFeature feature)` | Create an `ITypeMapping` implementation.

- - ### Field Detail

    - #### INSTANCE

          static final ITypeMapping.Provider INSTANCE

      The one global (singleton) provider instance.

  - ### Method Detail

    - #### createTypeMapping

          ITypeMapping createTypeMapping​(IMappingStrategy mappingStrategy,
                                         EStructuralFeature feature)

      Create an `ITypeMapping` implementation.
      Parameters:
        `mappingStrategy` - the mapping strategy
        `feature` - the feature the new type mapping shall be responsible for
      Returns:
        the newly created `ITypeMapping` instance